Cloud CDN API, REST: OriginGroup.Update
Updates the specified origin group.
Changes may take up to 15 minutes to apply. Afterwards, it is recommended to purge cache of the resources that
use the origin group via a CacheService.Purge request.
HTTP request
PATCH https://cdn.api.cloud.yandex.net/cdn/v1/originGroups
Body parameters
{
"folderId": "string",
"originGroupId": "string",
"groupName": "string",
"useNext": "boolean",
"origins": [
{
"source": "string",
"enabled": "boolean",
"backup": "boolean",
"meta": {
// Includes only one of the fields `common`, `bucket`, `website`, `balancer`
"common": {
"name": "string"
},
"bucket": {
"name": "string"
},
"website": {
"name": "string"
},
"balancer": {
"id": "string"
}
// end of the list of possible fields
}
}
]
}
|
Field |
Description |
|
folderId |
string Required field. ID of the folder that the origin group belongs to. The maximum string length in characters is 50. |
|
originGroupId |
string (int64) ID of the origin group. Value must be greater than 0. |
|
groupName |
string Name of the origin group. |
|
useNext |
boolean This option have two possible values: |
|
origins[] |
List of origins: IP addresses or Domain names of your origins and the port |
OriginParams
Origin parameters. For details about the concept, see documentation.
|
Field |
Description |
|
source |
string Source: IP address or Domain name of your origin and the port (if custom). |
|
enabled |
boolean The setting allows to enable or disable an Origin source in the Origins group. |
|
backup |
boolean backup option has two possible values: |
|
meta |
Set up origin of the content. |
OriginMeta
Origin type. For details about the concept, see documentation.
|
Field |
Description |
|
common |
A server with a domain name linked to it Includes only one of the fields Type of the origin. |
|
bucket |
An Object Storage bucket not configured as a static site hosting. Includes only one of the fields Type of the origin. |
|
website |
An Object Storage bucket configured as a static site hosting. Includes only one of the fields Type of the origin. |
|
balancer |
An L7 load balancer from Application Load Balancer. Includes only one of the fields Type of the origin. |
OriginNamedMeta
Origin info. For details about the concept, see documentation.
|
Field |
Description |
|
name |
string Name of the origin. |
OriginBalancerMeta
Application Load Balancer origin info. For details about the concept, see documentation.
|
Field |
Description |
|
id |
string ID of the origin. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |